commit:     e0c9976e13d4c193d2c849f5fc051ec64f35ca39
Author:     Alexander Lopatin <alopatindev <AT> gmail <DOT> com>
AuthorDate: Sat Jul 14 11:49:25 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jul 14 13:13:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0c9976e

dev-util/qdevicemonitor: fix Qt 5.11 specific issue and crash

Closes: https://bugs.gentoo.org/660932
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/9213

 ...cemonitor-1.0.1-crash-after-fresh-install.patch | 26 +++++++++++
 .../files/qdevicemonitor-1.0.1-qt-5.11.patch       | 24 ++++++++++
 .../qdevicemonitor/qdevicemonitor-1.0.1-r1.ebuild  | 51 ++++++++++++++++++++++
 3 files changed, 101 insertions(+)

diff --git 
a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch
 
b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch
new file mode 100644
index 00000000000..00c4dc1cdf3
--- /dev/null
+++ 
b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch
@@ -0,0 +1,26 @@
+From 079bc4cf3a59a98c429b1db21fcf3f88c19d2bb5 Mon Sep 17 00:00:00 2001
+From: Alexander Lopatin <[email protected]>
+Date: Fri, 13 Jul 2018 18:37:42 +0300
+Subject: [PATCH] fix crash that happens after fresh installation
+
+---
+ qdevicemonitor/devices/DeviceFacade.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/qdevicemonitor/devices/DeviceFacade.cpp 
b/qdevicemonitor/devices/DeviceFacade.cpp
+index ced04b3..6df67eb 100644
+--- a/qdevicemonitor/devices/DeviceFacade.cpp
++++ b/qdevicemonitor/devices/DeviceFacade.cpp
+@@ -151,8 +151,8 @@ void DeviceFacade::loadSettings(const QSettings& s)
+     if (darkTheme.isValid())
+     {
+         m_darkTheme = darkTheme.toBool();
+-        m_colorTheme = ColorTheme::create(m_darkTheme);
+     }
++    m_colorTheme = ColorTheme::create(m_darkTheme);
+ 
+     const QVariant clearAndroidLog = s.value("clearAndroidLog");
+     if (clearAndroidLog.isValid())
+-- 
+2.16.4
+

diff --git a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch 
b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch
new file mode 100644
index 00000000000..47d9a017f7a
--- /dev/null
+++ b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch
@@ -0,0 +1,24 @@
+From 5da5c11ff84cc293b5db3a0d7ba09c62b3db94a8 Mon Sep 17 00:00:00 2001
+From: Alexander Lopatin <[email protected]>
+Date: Fri, 13 Jul 2018 18:30:21 +0300
+Subject: [PATCH] fix Qt 5.11 specific issue https://bugs.gentoo.org/660932
+
+---
+ qdevicemonitor/ui/MainWindow.cpp | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/qdevicemonitor/ui/MainWindow.cpp 
b/qdevicemonitor/ui/MainWindow.cpp
+index c1bf263..fc22b4d 100644
+--- a/qdevicemonitor/ui/MainWindow.cpp
++++ b/qdevicemonitor/ui/MainWindow.cpp
+@@ -31,6 +31,7 @@
+ #include <QProcess>
+ #include <QSettings>
+ #include <QStringList>
++#include <QTabBar>
+ #include <QtCore/QStringBuilder>
+ 
+ #if defined(Q_OS_WIN32)
+-- 
+2.16.4
+

diff --git a/dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r1.ebuild 
b/dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r1.ebuild
new file mode 100644
index 00000000000..8e27034f9ef
--- /dev/null
+++ b/dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils qmake-utils
+
+DESCRIPTION="Crossplatform log viewer for Android, iOS and text files"
+HOMEPAGE="https://github.com/alopatindev/qdevicemonitor";
+
+if [[ ${PV} == "9999" ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/alopatindev/${PN}";
+else
+       
SRC_URI="https://github.com/alopatindev/qdevicemonitor/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-util/android-tools
+       app-pda/usbmuxd"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-qt-5.11.patch
+       "${FILESDIR}"/${P}-crash-after-fresh-install.patch
+)
+
+src_configure() {
+       cd "${PN}" || die
+       export VERSION_WITH_BUILD_NUMBER="${PV}"
+       eqmake5
+}
+
+src_compile() {
+       cd "${PN}" || die
+       emake
+}
+
+src_install() {
+       dobin "${PN}/${PN}"
+       dodoc README.md
+       newicon -s scalable "icons/app_icon.svg" "${PN}.svg"
+       domenu "icons/${PN}.desktop"
+}

Reply via email to